Bug 518570 - Unmount menuitem lingers
Unmount menuitem lingers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-08-20 19:20 EDT by Matthias Clasen
Modified: 2015-03-03 17:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 10:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
nautilus-2.28.0-lacks-mount-do-not-use-activation-uri.patch (1.28 KB, patch)
2009-09-22 11:40 EDT, Tomáš Bžatek
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2009-08-20 19:20:26 EDT
I had an audio cd in my cd drive, then I removed it. nautilus computer window changed the icon from audio cd to cd drive as expected, but the context menu still have an unmount menuitem that complains: 

Unable to unmount Audio Disc

DBus error org.freedesktop.DBus.Error.ServiceUnknown: The name :1.86 was not provided by any .service files.
Comment 1 Matthias Clasen 2009-08-20 19:52:10 EDT
Actually, all the "Open with" menuitems for audio cds linger as well..
Comment 2 Tomáš Bžatek 2009-09-22 11:40:06 EDT
Created attachment 362113 [details]
nautilus-2.28.0-lacks-mount-do-not-use-activation-uri.patch

A simple patch, removing test for activation_uri, which sometimes cannot be determined in prior to mount (see the patch for details). This makes the Unmount menu item actually hidden after unmount. 

Attaching patch this way to have review from interested persons.

(In reply to comment #1)
> Actually, all the "Open with" menuitems for audio cds linger as well..  
Clicking the "Open with Text Editor" default action would cause automount, not showing any error. I need to test it more, we might want to disallow opening associated applications in this case.
Comment 3 Matthias Clasen 2009-09-24 10:52:56 EDT
Alex says the patch looks good, so I've pushed it upstream and in rawhide.

Note You need to log in before you can comment on or make changes to this bug.